[arch-commits] Commit in grep/repos (6 files)
Sébastien Luttringer
seblu at archlinux.org
Wed Feb 10 23:02:25 UTC 2016
Date: Thursday, February 11, 2016 @ 00:02:24
Author: seblu
Revision: 259048
archrelease: copy trunk to testing-i686, testing-x86_64
Added:
grep/repos/testing-i686/
grep/repos/testing-i686/PKGBUILD
(from rev 259047, grep/trunk/PKGBUILD)
grep/repos/testing-i686/grep.install
(from rev 259047, grep/trunk/grep.install)
grep/repos/testing-x86_64/
grep/repos/testing-x86_64/PKGBUILD
(from rev 259047, grep/trunk/PKGBUILD)
grep/repos/testing-x86_64/grep.install
(from rev 259047, grep/trunk/grep.install)
-----------------------------+
testing-i686/PKGBUILD | 36 ++++++++++++++++++++++++++++++++++++
testing-i686/grep.install | 18 ++++++++++++++++++
testing-x86_64/PKGBUILD | 36 ++++++++++++++++++++++++++++++++++++
testing-x86_64/grep.install | 18 ++++++++++++++++++
4 files changed, 108 insertions(+)
Copied: grep/repos/testing-i686/PKGBUILD (from rev 259047, grep/trunk/PKGBUILD)
===================================================================
--- testing-i686/PKGBUILD (rev 0)
+++ testing-i686/PKGBUILD 2016-02-10 23:02:24 UTC (rev 259048)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Sébastien Luttringer <seblu at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=grep
+pkgver=2.23
+pkgrel=1
+pkgdesc='A string search utility'
+arch=('i686' 'x86_64')
+license=('GPL3')
+url='http://www.gnu.org/software/grep/grep.html'
+groups=('base' 'base-devel')
+depends=('glibc' 'pcre')
+makedepends=('texinfo')
+install=$pkgname.install
+validpgpkeys=('155D3FC500C834486D1EEA677FD9FCCB000BEEEE') # Jim Meyering
+source=("ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
+md5sums=('f46aa9d0d2577b9212a104348a286787'
+ 'SKIP')
+
+build() {
+ cd $pkgname-$pkgver
+ ./configure --prefix=/usr --without-included-regex
+ make
+}
+
+check() {
+ cd $pkgname-$pkgver
+ make check
+}
+
+package() {
+ cd $pkgname-$pkgver
+ make DESTDIR=$pkgdir install
+}
Copied: grep/repos/testing-i686/grep.install (from rev 259047, grep/trunk/grep.install)
===================================================================
--- testing-i686/grep.install (rev 0)
+++ testing-i686/grep.install 2016-02-10 23:02:24 UTC (rev 259048)
@@ -0,0 +1,18 @@
+infodir=usr/share/info
+file=grep.info
+
+post_install() {
+ [[ -x usr/bin/install-info ]] || return 0
+ install-info "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+}
+
+post_upgrade() {
+ post_install "$1"
+}
+
+pre_remove() {
+ [[ -x usr/bin/install-info ]] || return 0
+ install-info --delete "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+}
+
+# vim:set ts=2 sw=2 ft=sh et:
Copied: grep/repos/testing-x86_64/PKGBUILD (from rev 259047, grep/trunk/PKGBUILD)
===================================================================
--- testing-x86_64/PKGBUILD (rev 0)
+++ testing-x86_64/PKGBUILD 2016-02-10 23:02:24 UTC (rev 259048)
@@ -0,0 +1,36 @@
+# $Id$
+# Maintainer: Sébastien Luttringer <seblu at archlinux.org>
+# Contributor: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
+pkgname=grep
+pkgver=2.23
+pkgrel=1
+pkgdesc='A string search utility'
+arch=('i686' 'x86_64')
+license=('GPL3')
+url='http://www.gnu.org/software/grep/grep.html'
+groups=('base' 'base-devel')
+depends=('glibc' 'pcre')
+makedepends=('texinfo')
+install=$pkgname.install
+validpgpkeys=('155D3FC500C834486D1EEA677FD9FCCB000BEEEE') # Jim Meyering
+source=("ftp://ftp.gnu.org/gnu/$pkgname/$pkgname-$pkgver.tar.xz"{,.sig})
+md5sums=('f46aa9d0d2577b9212a104348a286787'
+ 'SKIP')
+
+build() {
+ cd $pkgname-$pkgver
+ ./configure --prefix=/usr --without-included-regex
+ make
+}
+
+check() {
+ cd $pkgname-$pkgver
+ make check
+}
+
+package() {
+ cd $pkgname-$pkgver
+ make DESTDIR=$pkgdir install
+}
Copied: grep/repos/testing-x86_64/grep.install (from rev 259047, grep/trunk/grep.install)
===================================================================
--- testing-x86_64/grep.install (rev 0)
+++ testing-x86_64/grep.install 2016-02-10 23:02:24 UTC (rev 259048)
@@ -0,0 +1,18 @@
+infodir=usr/share/info
+file=grep.info
+
+post_install() {
+ [[ -x usr/bin/install-info ]] || return 0
+ install-info "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+}
+
+post_upgrade() {
+ post_install "$1"
+}
+
+pre_remove() {
+ [[ -x usr/bin/install-info ]] || return 0
+ install-info --delete "$infodir/$file.gz" "$infodir/dir" 2> /dev/null
+}
+
+# vim:set ts=2 sw=2 ft=sh et:
More information about the arch-commits
mailing list